Subject: Dock 4.0 successful compilation under Irix 6.4

From: rachelle bienstock <[email-masked]>
Date: Wed, 22 Apr 1998 16:17:23 -0400

Thanks to the many people who volunteered advice
concerning Dock 4.0 compilation under Irix 6.4.
In case others encounter problems, here are some
things which need to be done for successful 
compilation:
(1)  There is a problem with the number of continuation
lines in the elements.h file under Irix 6.4. 
(Note that there are two elements.h
files, one in the database directory and one in the accessories
directory).  You need to edit both of these and change the number
of lines by placing the last data entry on one line e.g.
     +                252.00000,257.00000,258.00000,259.00000,260.00000/

(2) There are several old object files which 
are not deleted by "make clean".  You will need to hand delete these
files.
They include writeSDF.o  and readSDF.o in the accessories directory.

(3) You will need a -n32 flag on the compile and will need to add this
to all
the Makefiles.  You may not need this if you figure out #2 above first
and
delete all the old object files.  I got a fatal linker error because it
was
trying to link old 32-bit objects with -n32 links.  This could have been
because
there were some old remaining object files.

I still received some warnings on compilation, and will have to see how
serious
they are once I begin playing with the program.

Again, thanks to all those who gave me advice.
-- 
*******************************
Dr. Rachelle J. Bienstock
Molecular Modeler and Computational Chemist
NIH/NIEHS
111 T.W. Alexander Drive
P.O. Box 12233 MD F0-01
Research Triangle Park, NC 27709
Tel.: (919) 541-3397
e-mail: [email-masked] or 
[email-masked]
********************************